Bug 609788 - Review Request: mdds - A collection of multi-dimensional data structures and indexing algorithms
Summary: Review Request: mdds - A collection of multi-dimensional data structures and ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 06:24 UTC by David Tardon
Modified: 2010-07-08 04:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 04:21:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caolanm: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
spec (1.66 KB, text/plain)
2010-07-01 06:25 UTC, David Tardon
no flags Details
srpm (45.65 KB, application/x-rpm)
2010-07-01 06:25 UTC, David Tardon
no flags Details
spec (1.61 KB, text/plain)
2010-07-01 08:06 UTC, David Tardon
no flags Details
srpm (45.65 KB, application/x-rpm)
2010-07-01 08:06 UTC, David Tardon
no flags Details
spec (1.57 KB, text/plain)
2010-07-02 16:42 UTC, David Tardon
no flags Details
srpm (45.63 KB, application/x-rpm)
2010-07-02 16:43 UTC, David Tardon
no flags Details
updated spec (1.77 KB, application/octet-stream)
2010-07-07 09:50 UTC, Caolan McNamara
no flags Details
updated .src.rpm (45.73 KB, application/x-rpm)
2010-07-07 09:52 UTC, Caolan McNamara
no flags Details

Description David Tardon 2010-07-01 06:24:45 UTC
This package is a dependency of (to be) openoffice.org 3.3 .

Comment 1 David Tardon 2010-07-01 06:25:18 UTC
Created attachment 428175 [details]
spec

Comment 2 David Tardon 2010-07-01 06:25:50 UTC
Created attachment 428177 [details]
srpm

Comment 3 Ralf Corsepius 2010-07-01 07:37:36 UTC
The base package doesn't make sense.

You may want to merge it into *-devel and ship *-devel only.

Comment 4 David Tardon 2010-07-01 08:05:50 UTC
true

Comment 5 David Tardon 2010-07-01 08:06:27 UTC
Created attachment 428197 [details]
spec

Comment 6 David Tardon 2010-07-01 08:06:52 UTC
Created attachment 428198 [details]
srpm

Comment 7 David Tardon 2010-07-02 16:42:17 UTC
Created attachment 429109 [details]
spec

forgot to remove runtime dep on main pkg from -devel, grr

Comment 8 David Tardon 2010-07-02 16:43:33 UTC
Created attachment 429111 [details]
srpm

Comment 9 Ralf Corsepius 2010-07-03 04:53:04 UTC
* Is there a special reason for you to submit packages as attachments?
The usual way would be to upload them somewhere and to add links here, such these "binary blobs" do not end up filling bugzilla.

Presuming you have a Fedora account, you also likely have a <fas-account>.fedorapeople.org account you could use for this.

* Please increment %release with each submittion update. Not doing so adds unneccessary difficulties to a reviewer to destingush the submission updates.

Thanks.

Comment 10 David Tardon 2010-07-07 04:57:53 UTC
(In reply to comment #9)
> * Is there a special reason for you to submit packages as attachments?
> The usual way would be to upload them somewhere and to add links here, such
> these "binary blobs" do not end up filling bugzilla.
> 
Yes, there is: I have no convenient place to put them to. Besides, the SRPM is only 46 kB... Just about every abrt backtrace for openoffice.org is bigger...

> Presuming you have a Fedora account, you also likely have a
> <fas-account>.fedorapeople.org account you could use for this.
> 
I don't. If I should have it, then some process failed...

> * Please increment %release with each submittion update. Not doing so adds
> unneccessary difficulties to a reviewer to destingush the submission updates.
> 
I'd have done that if the package were on review.

Comment 11 Ralf Corsepius 2010-07-07 05:26:05 UTC
(In reply to comment #10)
> I'd have done that if the package were on review.    
What do you think this is? I only did not set the "review flag" to not lock out other packagers from "formally reviewing".

Comment 12 David Tardon 2010-07-07 06:33:13 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > I'd have done that if the package were on review.    
> What do you think this is? I only did not set the "review flag" to not lock out
> other packagers from "formally reviewing".    

Which is what I had on my mind. The "unnecessary difficulties" you spoke about mean that it's necessary to rename the dir one gets from rpmdev-extract, which doesn't sound so very difficult. But if it pleases you, I'll bump the revision next time.

Comment 13 Mamoru TASAKA 2010-07-07 07:02:25 UTC
https://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes

> Increase the "Release" tag every time you upload a new package
> to avoid confusion. The reviewer and other interested parties 
> probably still have older versions of your SRPM lying around
> to check what has changed between the old and new packages; 
> those get confused when the revision didn't change.

Comment 14 Caolan McNamara 2010-07-07 09:50:59 UTC
Created attachment 430014 [details]
updated spec

removed rpmlint warnings (on both the .rpm and src.rpm)

Comment 15 Caolan McNamara 2010-07-07 09:52:02 UTC
Created attachment 430015 [details]
updated .src.rpm

updated src.rpm to reflect updated src.rpm

Comment 16 Caolan McNamara 2010-07-07 09:55:07 UTC
a) rpmlint silent (except for erroneous spelling warning) on .rpm and src.rpm
b) build cleanly in mock

Comment 17 Caolan McNamara 2010-07-07 10:00:43 UTC
* MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

mdds.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
mdds.src: W: spelling-error %description -l en_US multi -> mulch, mufti

all ok.

* MUST: The package must be named according to the Package Naming Guidelines .

ok.

* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

ok.

* MUST: The package must meet the Packaging Guidelines .

ok.

* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

ok.

* MUST: The License field in the package spec file must match the actual license. [3]

ok.

* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

ok.

* MUST: The spec file must be written in American English. [5]

ok.

* MUST: The spec file for the package MUST be legible. [6]

ok.

* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

ok.

* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

ok.

* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

ok.

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

ok.

* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

ok.

* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

ok.

* MUST: Packages must NOT bundle copies of system libraries.[11]

ok.

* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

ok.

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

ok.

* MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]

ok.

* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]

ok.

* MUST: Each package must consistently use macros. [16]

ok.

* MUST: The package must contain code, or permissable content. [17]

ok.

* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

ok.

* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

ok.

* MUST: Header files must be in a -devel package. [19]

ok.

* MUST: Static libraries must be in a -static package. [20]

ok.

* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]

ok.

* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]

ok.

* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]

ok.

* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

ok.

* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

ok.

* MUST: All filenames in rpm packages must be valid UTF-8. [24]

ok.

Comment 18 Caolan McNamara 2010-07-07 10:02:08 UTC
Is that build-fix patch for the tests upstreamed to kohei ?

Comment 19 David Tardon 2010-07-07 10:07:21 UTC
dtardon->caolanm: sure: http://code.google.com/p/multidimalgorithm/issues/detail?id=2&can=1

Comment 20 David Tardon 2010-07-07 10:13:50 UTC
dtardon->caolanm: I actually left off both BuildRoot and %clean by purpose, as neither one is required on Fedora now:

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

What we need is Fedora-customized rpmlint that would reflect that... Anyway, thanks for doing the review.

Comment 21 David Tardon 2010-07-07 10:18:34 UTC
New Package CVS Request
=======================
Package Name: mdds
Short Description: A collection of multi-dimensional data structures and indexing algorithms
Owners: dtardon
Branches: devel
InitialCC:

Comment 22 Caolan McNamara 2010-07-07 10:20:05 UTC
Yeah, I know, but its easier to have no rpmlint output than have to deal with debating its relevance.

Comment 23 Kevin Fenzi 2010-07-08 01:21:58 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.